org.eclipse.gmt.modisco.infra.prefuse.examples.graphview

## Class GraphMenuAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.eclipse.gmt.modisco.infra.prefuse.examples.graphview.GraphMenuAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public abstract class GraphMenuAction
    extends javax.swing.AbstractAction

Swing menu action that loads a graph into the graph viewer.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
Constructor and Description
`GraphMenuAction(java.lang.String name, java.lang.String accel, GraphView view)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(java.awt.event.ActionEvent e)`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GraphMenuAction

    public GraphMenuAction(java.lang.String name,
                           java.lang.String accel,
                           GraphView view)

### Method Detail

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)